#ifndef	_DEWINMASTERSERVER_HPP
#define _DEWINMASTERSERVER_HPP

#ifndef		_DENETUSER_HPP
 #include	"..\deNet\deMasterServer.hpp"
#endif

class deNetWinMasterServer : public deMasterServer
{
public:

	deNetWinMasterServer(void);
	virtual ~deNetWinMasterServer(void);

	virtual eNetError	OnTick( void );

protected:

	virtual eNetError	OnCustomMsg( deNetMsg * pMsg );
	virtual eNetError	OnNewConnection( deConnection * pConn );
	virtual eNetError	OnRemoveConnnection( deConnection * pConn );
	virtual eNetError	OnAcceptConnection( deConnectionRequest * pRequest, deConnection * pConn );
};

#endif